Show / Hide Table of Contents

# IUniTaskOrderedAsyncEnumerable<TElement> Interface

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public interface IUniTaskOrderedAsyncEnumerable<TElement> : IUniTaskAsyncEnumerable<TElement>

#### Type Parameters

`TElement`

### Members

#### Methods

Name | Description
--- | ---
CreateOrderedEnumerable<TKey>(Func<TElement, TKey>, IComparer<TKey>, Boolean) |
CreateOrderedEnumerable<TKey>(Func<TElement, UniTask<TKey>>, IComparer<TKey>, Boolean) |
CreateOrderedEnumerable<TKey>(Func<TElement, CancellationToken, UniTask<TKey>>, IComparer<TKey>, Boolean) |

### Methods

#### CreateOrderedEnumerable<TKey>(Func<TElement, TKey>, IComparer<TKey>, Boolean)

    IUniTaskOrderedAsyncEnumerable<TElement> CreateOrderedEnumerable<TKey>(Func<TElement, TKey> keySelector, IComparer<TKey> comparer, bool descending)

##### Parameters

`keySelector` Func<TElement, TKey>
`comparer` System.Collections.Generic.IComparer<TKey>
`descending` System.Boolean

##### Returns

IUniTaskOrderedAsyncEnumerable<TElement>

##### Type Parameters

`TKey`

#### CreateOrderedEnumerable<TKey>(Func<TElement, UniTask<TKey>>, IComparer<TKey>, Boolean)

    IUniTaskOrderedAsyncEnumerable<TElement> CreateOrderedEnumerable<TKey>(Func<TElement, UniTask<TKey>> keySelector, IComparer<TKey> comparer, bool descending)

##### Parameters

`keySelector` Func<TElement, UniTask<TKey>>
`comparer` System.Collections.Generic.IComparer<TKey>
`descending` System.Boolean

##### Returns

IUniTaskOrderedAsyncEnumerable<TElement>

##### Type Parameters

`TKey`

#### CreateOrderedEnumerable<TKey>(Func<TElement, CancellationToken, UniTask<TKey>>, IComparer<TKey>, Boolean)

    IUniTaskOrderedAsyncEnumerable<TElement> CreateOrderedEnumerable<TKey>(Func<TElement, CancellationToken, UniTask<TKey>> keySelector, IComparer<TKey> comparer, bool descending)

##### Parameters

`keySelector` Func<TElement, System.Threading.CancellationToken, UniTask<TKey>>
`comparer` System.Collections.Generic.IComparer<TKey>
`descending` System.Boolean

##### Returns

IUniTaskOrderedAsyncEnumerable<TElement>

##### Type Parameters

`TKey`